Subject: RE: Extensions To iCalendar [Was: Re: The SKiCal extensions]

From: [email-masked]
Date: Tue, 6 Feb 2001 18:41:47 -0600

> George, your comments on creating a well-defined extension process for
iCalendar is just what we need to do.  Any ideas, list?

Of course RFC 2445 does define a "process" for registering extensions (see
section 7, I believe). It is based on the one defined for text/directory
MIME type; which is based on the MIME media type registration process.
 
Maybe you mean something different?
 
-- Frank

---

From: [email-masked]
Date: Wed, 7 Feb 2001 15:05:56 -0600

> > * Is there a need for a new way to identify sets of extensions?
> 
> > * Is there a need for declaring what extensions (or even base
> > iCalendar features) are included in a given iCalendar object?
> 
> Possibly not--after all, you can examine the iCalendar object to
> see what properties it uses.  If you understand the extensions,
> you know what properties they use; if you don't understand the
> extensions, knowing their names won't help.

Good points that you and Patrik made.